## kylin-greeter 16.04.2

=== tests/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# -*- Mode: Automake; indent-tabs-mode: t; tab-width: 4 -*-

am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/kylin-greeter
pkgincludedir = $(includedir)/kylin-greeter
pkglibdir = $(libdir)/kylin-greeter
pkglibexecdir = $(libexecdir)/kylin-greeter
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
check_PROGRAMS = unity-greeter-test$(EXEEXT)
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am test.c \
	test-list.c test-main-window.c unity-greeter.c \
	../src/flat-button.c ../src/toggle-box.c ../src/user-list.c \
	../src/greeter-list.c ../src/remote-login-service.c \
	../src/background.c ../src/email-autocompleter.c \
	../src/cairo-utils.c ../src/animate-timer.c ../src/fadable.c \
	../src/fadable-box.c ../src/dash-box.c \
	../src/user-prompt-box.c ../src/fading-label.c \
	../src/cached-image.c ../src/dash-entry.c ../src/dash-button.c \
	../src/prompt-box.c ../src/session-list.c ../src/main-window.c \
	../src/list-stack.c ../src/settings.c ../src/shutdown-dialog.c \
	$(top_srcdir)/depcomp $(srcdir)/unity_greeter_test_vala.stamp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/intltool.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am_unity_greeter_test_OBJECTS = unity_greeter_test-test.$(OBJEXT) \
	unity_greeter_test-test-list.$(OBJEXT) \
	unity_greeter_test-test-main-window.$(OBJEXT) \
	unity_greeter_test-unity-greeter.$(OBJEXT) \
	unity_greeter_test-flat-button.$(OBJEXT) \
	unity_greeter_test-toggle-box.$(OBJEXT) \
	unity_greeter_test-user-list.$(OBJEXT) \
	unity_greeter_test-greeter-list.$(OBJEXT) \
	unity_greeter_test-remote-login-service.$(OBJEXT) \
	unity_greeter_test-background.$(OBJEXT) \
	unity_greeter_test-email-autocompleter.$(OBJEXT) \
	unity_greeter_test-cairo-utils.$(OBJEXT) \
	unity_greeter_test-animate-timer.$(OBJEXT) \
	unity_greeter_test-fadable.$(OBJEXT) \
	unity_greeter_test-fadable-box.$(OBJEXT) \
	unity_greeter_test-dash-box.$(OBJEXT) \
	unity_greeter_test-user-prompt-box.$(OBJEXT) \
	unity_greeter_test-fading-label.$(OBJEXT) \
	unity_greeter_test-cached-image.$(OBJEXT) \
	unity_greeter_test-dash-entry.$(OBJEXT) \
	unity_greeter_test-dash-button.$(OBJEXT) \
	unity_greeter_test-prompt-box.$(OBJEXT) \
	unity_greeter_test-session-list.$(OBJEXT) \
	unity_greeter_test-main-window.$(OBJEXT) \
	unity_greeter_test-list-stack.$(OBJEXT) \
	unity_greeter_test-settings.$(OBJEXT) \
	unity_greeter_test-shutdown-dialog.$(OBJEXT)
unity_greeter_test_OBJECTS = $(am_unity_greeter_test_OBJECTS)
unity_greeter_test_DEPENDENCIES =
unity_greeter_test_LINK = $(CCLD) $(unity_greeter_test_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
VALACOMPILE = $(VALAC) $(AM_VALAFLAGS) $(VALAFLAGS)
AM_V_VALAC = $(am__v_VALAC_$(V))
am__v_VALAC_ = $(am__v_VALAC_$(AM_DEFAULT_VERBOSITY))
am__v_VALAC_0 = @echo "  VALAC   " $@;
am__v_VALAC_1 = 
SOURCES = $(unity_greeter_test_SOURCES)
DIST_SOURCES = $(unity_greeter_test_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/missing aclocal-1.14
ALL_LINGUAS = 
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AUTOCONF = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/missing autoconf
AUTOHEADER = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/missing autoheader
AUTOMAKE = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/missing automake-1.14
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -fstack-protector-strong -Wformat -Werror=format-security
CPPFLAGS = -D_FORTIFY_SOURCE=2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
GETTEXT_PACKAGE = kylin-greeter
GLIB_COMPILE_SCHEMAS = /usr/lib/i386-linux-gnu/glib-2.0/glib-compile-schemas
GMSGFMT = /usr/bin/msgfmt
GSETTINGS_DISABLE_SCHEMAS_COMPILE = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_V_MERGE = $(INTLTOOL__v_MERGE_$(V))
INTLTOOL_V_MERGE_OPTIONS = $(intltool__v_merge_options_$(V))
INTLTOOL__v_MERGE_ = $(INTLTOOL__v_MERGE_$(AM_DEFAULT_VERBOSITY))
INTLTOOL__v_MERGE_0 = @echo "  ITMRG " $@;
KYLIN_GREETER_CFLAGS = -pthread -D_REENTRANT -I/usr/include/gtk-3.0 -I/usr/include/libindicator3-0.4 -I/usr/include/libido3-0.1 -I/usr/include/libxml2 -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/i386-linux-gnu/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/mirclient -I/usr/include/mircommon -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/lightdm-gobject-1 -I/usr/include/gnome-desktop-3.0 -I/usr/include/gsettings-desktop-schemas 
KYLIN_GREETER_LIBS = -lgdk-3 -lindicator3 -lido3-0.1 -llightdm-gobject-1 -lgnome-desktop-3 -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lcairo -lfreetype -lcanberra -lpixman-1 -lX11 
LDFLAGS = -Wl,-Bsymbolic-functions -Wl,-z,relro
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/missing makeinfo
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
OBJEXT = o
PACKAGE = kylin-greeter
PACKAGE_BUGREPORT = 
PACKAGE_NAME = kylin-greeter
PACKAGE_STRING = kylin-greeter 15.10.0
PACKAGE_TARNAME = kylin-greeter
PACKAGE_URL = 
PACKAGE_VERSION = 15.10.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
USE_NLS = yes
VALAC = /usr/bin/valac
VERSION = 15.10.0
XGETTEXT = /usr/bin/xgettext
abs_builddir = /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/tests
abs_srcdir = /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/tests
abs_top_builddir = /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter
abs_top_srcdir = /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = i686-linux-gnu
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
gsettingsschemadir = ${datarootdir}/glib-2.0/schemas
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/install-sh
intltool__v_merge_options_ = $(intltool__v_merge_options_$(AM_DEFAULT_VERBOSITY))
intltool__v_merge_options_0 = -q
libdir = ${prefix}/lib/i386-linux-gnu
libexecdir = ${prefix}/lib/i386-linux-gnu
localedir = ${datarootdir}/locale

=== debian/changelog ===
kylin-greeter (16.04.2) xenial; urgency=medium

  *  Delete Suggests and Breaks in control file
  *  Delete appmenu-gtk3 and ttf-ubuntu-font-family in build-depends 

 -- zhangchao <zhangchao@ubuntukylin.com>  Tue, 09 Feb 2016 20:32:53 +0800

kylin-greeter (16.04.1) xenial; urgency=medium

  *  fix bug LP: #1524662,send SIGTERM to onboard to end onboard

 -- zhangchao <zhangchao@ubuntukylin.com>  Thu, 21 Jan 2016 16:52:15 +0800

kylin-greeter (16.04.0) xenial; urgency=medium

  *  change logo icon for ubuntu kylin 16.04
  *  change arrow icon:del chinese word

 -- zhangchao <zhangchao@ubuntukylin.com>  Fri, 04 Dec 2015 15:28:16 +0800

kylin-greeter (15.10.5) wily; urgency=medium

  *  release for 15.10

 -- zhangchao <zhangchao@ubuntukylin.com>  Wed, 21 Oct 2015 21:48:27 +0800

kylin-greeter (15.10.4) wily; urgency=medium

  *  fix zh_CN.po
  *  change dash_entry

 -- zhangchao <zhangchao@ubuntukylin.com>  Wed, 21 Oct 2015 21:23:47 +0800

kylin-greeter (15.10.3) wily; urgency=medium

  *  add logo.png

 -- zhangchao <zhangchao@ubuntukylin.com>  Mon, 19 Oct 2015 22:56:19 +0800

kylin-greeter (15.10.2) wily; urgency=medium

  *  change some icons

 -- zhangchao <zhangchao@ubuntukylin.com>  Mon, 19 Oct 2015 12:09:08 +0800

kylin-greeter (15.10.1) wily; urgency=medium

  *  fix logo.png error

 -- zhangchao <zhangchao@ubuntukylin.com>  Sat, 17 Oct 2015 17:18:37 +0800

kylin-greeter (15.10.0) wily; urgency=medium

  *  merge some code from unity-greeter 15.10

 -- zhangchao <zhangchao@ubuntukylin.com>  Sat, 17 Oct 2015 16:38:30 +0800

kylin-greeter (14.04.10kord1k9) ginkgo; urgency=medium

  *  change shutdown dialog style and some backbutton icon

 -- zhangchao <zhangchao@ubuntukylin.com>  Thu, 15 Oct 2015 17:15:49 +0800

kylin-greeter (14.04.10kord1k8) ginkgo; urgency=medium

  *  fork from unity-greeter,rename to kylin-greeter

 -- zhangchao <zhangchao@ubuntukylin.com>  Mon, 21 Sep 2015 20:02:32 +0800

unity-greeter (14.04.10-0kord1k7) ginkgo; urgency=medium

  *  del a11 

 -- zhangchao <zhangchao@ubuntukylin.com>  Tue, 04 Aug 2015 09:54:59 +0800

unity-greeter (140.4.10-0kord6) utopic; urgency=medium

  *  更换logo

 -- zhangchao <zhangchao@ubuntukylin.com>  Wed, 03 Jun 2015 11:19:46 +0800

unity-greeter (140.4.10-0kord5) utopic; urgency=medium

  *  增加无法关机重启的中文提示

 -- zhangchao <zhangchao@ubuntukylin.com>  Mon, 01 Jun 2015 16:06:56 +0800

unity-greeter (140.4.10-0kord4) utopic; urgency=medium

  *  增加动画中浮点数正确性判断(nan)，错误则立刻结束动画
  *  增大动画正确结束的范围，以减少无法正常结束动画的概率

 -- zhangchao <zhangchao@ubuntukylin.com>  Fri, 29 May 2015 16:51:32 +0800

unity-greeter (140.4.10-0kord3) utopic; urgency=medium

  * 无视lightdm对重启和关闭的判断，一直保持关机和重启按钮的绘制显示。

 -- zhangchao <zhangchao@ubuntukylin.com>  Fri, 29 May 2015 10:55:55 +0800

unity-greeter (140.4.10-0kord2) utopic; urgency=medium

  * 修改默认背景颜色

 -- zhangchao <zhangchao@ubuntukylin.com>  Tue, 28 Apr 2015 15:28:04 +0800

unity-greeter (140.4.10-0neokylin1) trusty; urgency=medium

  * release for neokylin 
  * 修改默认背景名称
  * 更换多屏显示时的logo 

 -- zhangchao <zhangchao@ubuntukylin.com>  Mon, 05 Jan 2015 17:10:40 +0800

unity-greeter (14.04.101-0ubuntukylin4) trusty; urgency=medium

  * change icon for neokylin

 -- zhangchao <zhangchao@ubuntukylin.com>  Thu, 13 Nov 2014 11:27:07 +0800

unity-greeter (14.04.100-0ubuntukylin4) trusty; urgency=medium

  * release for UK 3.0 beta

 -- zhangchao <zhangchao@ubuntukylin.com>  Fri, 22 Aug 2014 09:42:49 +0800

unity-greeter (14.04.10-0ubuntukylin4) trusty; urgency=medium

  * 修复桌面环境选中状态主题问题

 -- zhangchao <zhangchao@ubuntukylin.com>  Mon, 18 Aug 2014 16:08:25 +0800

unity-greeter (14.04.10-0ubuntukylin3) trusty; urgency=medium

  * 增加greeter所使用的gtk主题并修改配置文件

 -- zhangchao <zhangchao@ubuntukylin.com>  Wed, 13 Aug 2014 10:00:21 +0800

unity-greeter (14.04.10-0ubuntukylin2) trusty; urgency=medium

  * 完成布局和功能
  * 去除indictor

 -- zhangchao <zhangchao@ubuntukylin.com>  Wed, 13 Aug 2014 08:54:51 +0800

unity-greeter (14.04.10-0ubuntukylin1) trusty; urgency=medium

  * ready for ubuntukylin

 -- zhangchao <zhangchao@ubuntukylin.com>  Mon, 11 Aug 2014 15:45:47 +0800

unity-greeter (14.04.10-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Require user to acknowledge messages received after authentication is
      complete, for example if their password is about to expire. (LP: #1304866)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 30 Apr 2014 15:33:19 +1200

unity-greeter (14.04.9-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Correctly handle SIGTERM and quit cleanly. We were previously not stopping
      the signal and so not cleaning up on exit. This left an upstart process
      for each greeter remaining.
    - If a user has an invalid session, then use the system default session
      (LP: #1303725)
    - Correctly handle sessions not starting

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Apr 2014 15:57:59 +1200

unity-greeter (14.04.8-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Allow unity-settings-daemon to blank the screen by implementing the
      gnome-screensaver and gnome-session d-bus interfaces. (LP: #1245474)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Apr 2014 07:57:42 +1200

unity-greeter (14.04.7-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Own the com.canonical.UnityGreeter D-Bus name

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 02 Apr 2014 10:13:46 +1300

unity-greeter (14.04.6-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Add option to hide certain users until alt+ctrl+shift is pressed.
    - Show a warning when shutting down and users are logged in. (LP: #1281058)
    - Drop some fixes that are in Vala 0.22 now.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 27 Mar 2014 10:51:42 +1300

unity-greeter (14.04.5-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Don't focus windows that set override-redirect. This was causing a


=== debian/control ===
Source: kylin-greeter
Section: x11
Priority: optional
Maintainer: Ubuntu Kylin Team <ubuntukylin-members@lists.launchpad.net>
Standards-Version: 3.9.6
Build-Depends: at-spi2-core,
               dbus-x11,
               debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               unity-settings-daemon-dev,
               libcanberra-dev,
               libgnome-desktop-3-dev,
               libgtk-3-dev,
               libindicator3-dev,
               libido3-0.1-dev (>= 13.10.0),
               liblightdm-gobject-1-dev (>= 1.4.0),
               libpixman-1-dev,
               valac (>= 0.20.0),
               xvfb,
Homepage: https://launchpad.net/kylin-greeter
Vcs-Bzr: https://code.launchpad.net/~ubuntukylin-members/unity-greeter/trunk

Package: kylin-greeter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Provides: lightdm-greeter
Description: Ubuntu Kylin Greeter
 The greeter for the Kylin desktop fork from unity-greeter.

=== debian/rules ===
#!/usr/bin/make -f 

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with autoreconf --fail-missing

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh


override_dh_auto_build:
	dh_auto_build
	#./src/logo-generator --logo data/logo-bare.png --text '15.10' --output logo.png

override_dh_auto_install:
	dh_auto_install
	#cp logo.png debian/kylin-greeter/usr/share/kylin-greeter/logo.png

override_dh_auto_clean:
	dh_auto_clean
	#rm -f logo.png
	rm -f ./src/*.c

=== debian/watch ===
version=3
https://launchpad.net/kylin-greeter/+download .*/kylin-greeter-([0-9.]+)\.tar\.gz

## kylin-greeter 16.10.1

=== tests/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.14.1 from Makefile.am.
+# Makefile.in generated by automake 1.15 from Makefile.am.
 # tests/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2013 Free Software Foundation, Inc.
+# Copyright (C) 1994-2014 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -16,7 +16,17 @@
 
 # -*- Mode: Automake; indent-tabs-mode: t; tab-width: 4 -*-
 
-am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
+am__is_gnu_make = { \
+  if test -z '$(MAKELEVEL)'; then \
+    false; \
+  elif test -n '$(MAKE_HOST)'; then \
+    true; \
+  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
+    true; \
+  else \
+    false; \
+  fi; \
+}
 am__make_running_with_option = \
   case $${target_option-} in \
       ?) ;; \
@@ -79,23 +89,12 @@
 POST_UNINSTALL = :
 check_PROGRAMS = unity-greeter-test$(EXEEXT)
 subdir = tests
-DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am test.c \
-	test-list.c test-main-window.c unity-greeter.c \
-	../src/flat-button.c ../src/toggle-box.c ../src/user-list.c \
-	../src/greeter-list.c ../src/remote-login-service.c \
-	../src/background.c ../src/email-autocompleter.c \
-	../src/cairo-utils.c ../src/animate-timer.c ../src/fadable.c \
-	../src/fadable-box.c ../src/dash-box.c \
-	../src/user-prompt-box.c ../src/fading-label.c \
-	../src/cached-image.c ../src/dash-entry.c ../src/dash-button.c \
-	../src/prompt-box.c ../src/session-list.c ../src/main-window.c \
-	../src/list-stack.c ../src/settings.c ../src/shutdown-dialog.c \
-	$(top_srcdir)/depcomp $(srcdir)/unity_greeter_test_vala.stamp
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/intltool.m4 \
 	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
+DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
 mkinstalldirs = $(install_sh) -d
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
@@ -194,19 +193,32 @@
   done | $(am__uniquify_input)`
 ETAGS = etags
 CTAGS = ctags
+am__DIST_COMMON = $(srcdir)/Makefile.in \
+	$(srcdir)/unity_greeter_test_vala.stamp $(top_srcdir)/depcomp \
+	../src/animate-timer.c ../src/background.c \
+	../src/cached-image.c ../src/cairo-utils.c ../src/dash-box.c \
+	../src/dash-button.c ../src/dash-entry.c \
+	../src/email-autocompleter.c ../src/fadable-box.c \
+	../src/fadable.c ../src/fading-label.c ../src/flat-button.c \
+	../src/greeter-list.c ../src/list-stack.c ../src/main-window.c \
+	../src/prompt-box.c ../src/remote-login-service.c \
+	../src/session-list.c ../src/settings.c \
+	../src/shutdown-dialog.c ../src/toggle-box.c \
+	../src/user-list.c ../src/user-prompt-box.c test-list.c \
+	test-main-window.c test.c unity-greeter.c
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/missing aclocal-1.14
+ACLOCAL = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/missing aclocal-1.15
 ALL_LINGUAS = 
 AMTAR = $${TAR-tar}
-AM_DEFAULT_VERBOSITY = 0
+AM_DEFAULT_VERBOSITY = 1
 AUTOCONF = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/missing autoconf
 AUTOHEADER = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/missing autoheader
-AUTOMAKE = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/missing automake-1.14
-AWK = gawk
+AUTOMAKE = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/missing automake-1.15
+AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=none
 CFLAGS = -g -O2 -fstack-protector-strong -Wformat -Werror=format-security
-CPPFLAGS = -D_FORTIFY_SOURCE=2
+CPPFLAGS = -Wdate-time -D_FORTIFY_SOURCE=2
 CYGPATH_W = echo
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
@@ -215,7 +227,7 @@
 ECHO_T = 
 EXEEXT = 
 GETTEXT_PACKAGE = kylin-greeter
-GLIB_COMPILE_SCHEMAS = /usr/lib/i386-linux-gnu/glib-2.0/glib-compile-schemas
+GLIB_COMPILE_SCHEMAS = /usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas
 GMSGFMT = /usr/bin/msgfmt
 GSETTINGS_DISABLE_SCHEMAS_COMPILE = 
 INSTALL = /usr/bin/install -c
@@ -231,8 +243,8 @@
 INTLTOOL_V_MERGE_OPTIONS = $(intltool__v_merge_options_$(V))
 INTLTOOL__v_MERGE_ = $(INTLTOOL__v_MERGE_$(AM_DEFAULT_VERBOSITY))
 INTLTOOL__v_MERGE_0 = @echo "  ITMRG " $@;
-KYLIN_GREETER_CFLAGS = -pthread -D_REENTRANT -I/usr/include/gtk-3.0 -I/usr/include/libindicator3-0.4 -I/usr/include/libido3-0.1 -I/usr/include/libxml2 -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/i386-linux-gnu/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/mirclient -I/usr/include/mircommon -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/lightdm-gobject-1 -I/usr/include/gnome-desktop-3.0 -I/usr/include/gsettings-desktop-schemas 
-KYLIN_GREETER_LIBS = -lgdk-3 -lindicator3 -lido3-0.1 -llightdm-gobject-1 -lgnome-desktop-3 -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lcairo -lfreetype -lcanberra -lpixman-1 -lX11 
+KYLIN_GREETER_CFLAGS = -pthread -D_REENTRANT -I/usr/include/gtk-3.0 -I/usr/include/libindicator3-0.4 -I/usr/include/libido3-0.1 -I/usr/include/lightdm-gobject-1 -I/usr/include/libxml2 -I/usr/include/gnome-desktop-3.0 -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/mirclient -I/usr/include/mircommon -I/usr/include/mircookie -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/include/gsettings-desktop-schemas
+KYLIN_GREETER_LIBS = -lgdk-3 -lindicator3 -lido3-0.1 -llightdm-gobject-1 -lgnome-desktop-3 -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lcairo -lfreetype -lcanberra -lpixman-1 -lX11
 LDFLAGS = -Wl,-Bsymbolic-functions -Wl,-z,relro
 LIBOBJS = 
 LIBS = 
@@ -246,10 +258,10 @@
 PACKAGE = kylin-greeter
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = kylin-greeter
-PACKAGE_STRING = kylin-greeter 15.10.0
+PACKAGE_STRING = kylin-greeter 16.10.0
 PACKAGE_TARNAME = kylin-greeter
 PACKAGE_URL = 
-PACKAGE_VERSION = 15.10.0
+PACKAGE_VERSION = 16.10.0
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -259,7 +271,7 @@
 STRIP = 
 USE_NLS = yes
 VALAC = /usr/bin/valac
-VERSION = 15.10.0
+VERSION = 16.10.0
 XGETTEXT = /usr/bin/xgettext
 abs_builddir = /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/tests
 abs_srcdir = /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/tests
@@ -272,7 +284,7 @@
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
-build_alias = i686-linux-gnu
+build_alias = x86_64-linux-gnu
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
@@ -284,9 +296,3 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${prefix}/share/info
-install_sh = ${SHELL} /media/xin/acc3a072-8456-4a44-8515-5f3a7483983c/xin/greeter/kylin-greeter/install-sh
-intltool__v_merge_options_ = $(intltool__v_merge_options_$(AM_DEFAULT_VERBOSITY))
-intltool__v_merge_options_0 = -q
-libdir = ${prefix}/lib/i386-linux-gnu
-libexecdir = ${prefix}/lib/i386-linux-gnu
-localedir = ${datarootdir}/locale

=== debian/changelog ===
kylin-greeter (16.10.1) yakkety; urgency=medium

  *  fixed the allocation bug when upgrade to gtk3.20

 -- zhangchao <zhangchao@ubuntukylin.com>  Mon, 03 Oct 2016 14:16:22 +0800

kylin-greeter (16.10.0) xenial; urgency=medium

  *  change logo to 16.10
  *  add gtk3.20 theme css
  *  Work around Vala trying to use a new GTK 3.20 function

 -- zhangchao <zhangchao@ubuntukylin.com>  Thu, 18 Aug 2016 17:06:36 +0800

kylin-greeter (16.04.5) xenial; urgency=medium

  *  cleanup keyboard in advance and sleep 0.003s,Make sure that onboard is properly ended(LP: #1524662)
  *  add keyboard move in Multiple screens

 -- zhangchao <zhangchao@ubuntukylin.com>  Tue, 14 Jun 2016 14:21:59 +0800

kylin-greeter (16.04.4) xenial; urgency=medium

  *  Limit prompt fields to 200 characters in case a key is being held down (e.g. by a cat).
  *  fix display error about passwd entry menu

 -- zhangchao <zhangchao@ubuntukylin.com>  Sun, 12 Jun 2016 15:15:17 +0800

kylin-greeter (16.04.3) xenial; urgency=medium

  *  Clean up the redundant code, improve the support of i18n
  *  fix shutdown button position
  *  add depend :unity-settings-daemon
  *  add gsetting to control dispaly about keyboard button
  *  add keyboard button status image
  *  delete cinnamon badge image in code
  *  add scroll button :Support for user number greater than 15
  *  Fixed display problems when the number of users was greater than 15

 -- zhangchao <zhangchao@ubuntukylin.com>  Sun, 12 Jun 2016 11:18:12 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Ubuntu Kylin Team <ubuntukylin-members@lists.launchpad.net>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: at-spi2-core,
                dbus-x11,
                debhelper (>= 9),
@@ -25,6 +25,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         unity-settings-daemon,
 Provides: lightdm-greeter
 Description: Ubuntu Kylin Greeter
  The greeter for the Kylin desktop fork from unity-greeter.

## kylin-greeter 17.04.0

=== debian/changelog ===
kylin-greeter (17.04.0) zesty; urgency=medium

  * Added support for UKUI.
  * Updated the background.png. 

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 16 Mar 2017 09:54:32 +0800

## kylin-greeter 17.10.2

=== debian/changelog ===
kylin-greeter (17.10.2) artful; urgency=medium

  * Change the login button according to the value of 'LANG'.
  * Update the logo and background from 1704 to 1710.
  * Fix the caps warning.
  * Fix the wrong button state of arrow_left.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 19 Sep 2017 19:37:21 +0800

kylin-greeter (17.10.0) artful; urgency=medium

  * Set name label's halign to center. (LP: #1552664)
  * Fix the theme error. (LP: #1683789)
  * Add hover/active status on arrow_left and arrow_right.
  * Use mate-settings-daemon instead of unity-settings-daemon.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 26 Jun 2017 17:02:43 +0800

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: x11
 Priority: optional
 Maintainer: Ubuntu Kylin Team <ubuntukylin-members@lists.launchpad.net>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: at-spi2-core,
                dbus-x11,
                debhelper (>= 9),
                dh-autoreconf,
                gnome-common,
-               unity-settings-daemon-dev,
+               mate-settings-daemon-dev,
                libcanberra-dev,
                libgnome-desktop-3-dev,
                libgtk-3-dev,
@@ -25,7 +25,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         unity-settings-daemon,
+         mate-settings-daemon,
 Provides: lightdm-greeter
 Description: Ubuntu Kylin Greeter
  The greeter for the Kylin desktop fork from unity-greeter.

## kylin-greeter 18.04.2

=== debian/changelog ===
kylin-greeter (18.04.2) bionic; urgency=medium

  * Use ukui-settings-daemon instead of mate-settings-daemon.
  * Use mate-common instead of gnome-common.
  * Resize when screen resolution changed. (LP: #1755386)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 14 Mar 2018 15:39:17 +0800

kylin-greeter (18.04.1) bionic; urgency=medium

  * Add show/hide password function to the text entry.
  * Update the logo and background from 17.10 to 18.04. (LP: #1755373)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 28 Feb 2018 10:52:08 +0800

kylin-greeter (18.04.0) bionic; urgency=medium

  * No-change rebuild against latest gnome-desktop3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Feb 2018 21:12:37 -0500

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: x11
 Priority: optional
 Maintainer: Ubuntu Kylin Team <ubuntukylin-members@lists.launchpad.net>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Build-Depends: at-spi2-core,
                dbus-x11,
-               debhelper (>= 9),
-               dh-autoreconf,
-               gnome-common,
-               mate-settings-daemon-dev,
+               debhelper (>= 11),
+               mate-common,
+               ukui-settings-daemon-dev,
                libcanberra-dev,
                libgnome-desktop-3-dev,
                libgtk-3-dev,
@@ -25,7 +24,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         mate-settings-daemon,
+         ukui-settings-daemon,
 Provides: lightdm-greeter
 Description: Ubuntu Kylin Greeter
  The greeter for the Kylin desktop fork from unity-greeter.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#!/usr/bin/make -f 
+#!/usr/bin/make -f
 
 LDFLAGS+=-Wl,--as-needed

## kylin-greeter 19.04.1

=== debian/changelog ===
kylin-greeter (19.04.1) disco; urgency=medium

  * Fix the ftbfs error. (LP: #1820541, LP: #1820566)
  * Update the logo.png.
  * use mate-common instead of gnome-common.
  * Debian:
    - Bump stardant-version to 4.3.0.
    - Bump compat level to 12.
    - Migrate from bzr to git.
    - Update rules.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 19 Mar 2019 10:58:05 +0800

## kylin-greeter 19.04.1build1

=== debian/changelog ===
kylin-greeter (19.04.1build1) eoan; urgency=medium

  * No-change rebuild for libgnome-desktop-3-18

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 27 Aug 2019 10:36:13 +0100

## kylin-greeter 19.04.2

=== debian/changelog ===
kylin-greeter (19.04.2) focal; urgency=medium

  * Rework the previous change to be adapted to a native versioning

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 19:54:01 +0100

kylin-greeter (19.04.1ubuntu1) focal; urgency=medium

  [ Rico Tzschichholz ]
  * debian/patches/new_vala_build.patch: Constructors of abstract class must
    not be public, fixes build with valac >= 0.46

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 19:49:27 +0100

kylin-greeter (19.04.1build2) focal; urgency=medium

  * Rebuild with the new gnome-desktop soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 16:23:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: x11
 Priority: optional
 Maintainer: Ubuntu Kylin Team <ubuntukylin-members@lists.launchpad.net>
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Build-Depends: at-spi2-core,
                dbus-x11,
-               debhelper (>= 11),
+               debhelper (>= 12),
                mate-common,
                ukui-settings-daemon-dev,
                libcanberra-dev,
@@ -17,8 +17,9 @@
                libpixman-1-dev,
                valac (>= 0.20.0),
                xvfb,
-Homepage: https://launchpad.net/kylin-greeter
-Vcs-Bzr: https://code.launchpad.net/~ubuntukylin-members/unity-greeter/trunk
+Homepage: https://github.com/ubuntukylin/kylin-greeter
+Vcs-Git: https://github.com/ubuntukylin/kylin-greeter.git
+Vcs-Browser: https://github.com/ubuntukylin/kylin-greeter
 
 Package: kylin-greeter
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_build:
	dh_auto_build
	#./src/logo-generator --logo data/logo-bare.png --text '15.10' --output logo.png

override_dh_auto_install:
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	rm -f ./src/*.c
